{collection}: Get Collection

API: loc.gov:library-of-congress-apis
Endpoint: /collections/{collection}
Response format: application/json
Auth: none
Method: GET
Last Status: 404
Latency: 3537ms

Description

Retrieve details about a specific collection.

Parameters (2)

collection (string, path, required)

Collection identifier

fo (string, query, optional)

Output format

Constraints: {'enum': ['json', 'yaml']}

Examples (1)

Get Collection openapi-spec
curl 'https://www.loc.gov/collections/american-memory?fo=json'
import requests

resp = requests.get(
    "https://www.loc.gov/collections/american-memory",
    params={
        'fo': 'json',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("library-of-congress-apis")
result = api.fetch("collections/{collection}", fo="json")

for item in result:
    print(item)
const resp = await fetch("https://www.loc.gov/collections/american-memory?fo=json");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 02:15:36.461605 404 3537ms
2026-04-15 02:27:25.880473 404 720ms
2026-04-14 01:27:35.396538 404 759ms
2026-04-12 13:42:42.066797 404 597ms
2026-04-10 01:37:44.539565 404 592ms
2026-04-09 01:26:03.836533 404 855ms
2026-04-08 00:15:54.211704 404 628ms
2026-04-07 00:17:38.509359 404 750ms
2026-04-05 19:34:34.342072 404 638ms
2026-04-05 01:28:13.171341 404 651ms
2026-04-04 03:16:38.337488 404 624ms
2026-04-03 13:05:56.927260 404 655ms
2026-03-30 02:51:40.914735 404 269ms
2026-03-29 13:08:27.448865 404 572ms
2026-03-23 10:25:43.019234 404 272ms